AjaxEditor = function() {
	
	var xmlHttp;
	
	this.create_ajax_object = function () {
		//alert("create_ajax_object");
		//var xmlHttp;
		try {
			// Firefox, Opera 8.0+, Safari
			xmlHttp = new XMLHttpRequest();
		}
		catch (e) {
			// Internet Explorer
			try {
				xmlHttp = new ActiveXObject("Msxml2.XMLHTTP");
			}
			catch (e) {
				try {
					xmlHttp = new ActiveXObject("Microsoft.XMLHTTP");
				}
				catch (e){
					alert("Your browser does not support AJAX!");
					//return false;
				}
			}
		}	
		//return xmlHttp; 		
	}
	
	
	this.request_asynchronous_text = function(url, parameters, fun, args) {
		xmlHttp.open("POST", url, true);
		xmlHttp.onreadystatechange = function() {
			if (xmlHttp.readyState == 4) {
				if (xmlHttp.status != 200) {
					alert ('Ha habido un error en la conexin');
				}
				else {
					if (fun) {
						fun(args, xmlHttp.responseText);
					}
					else {
						alert(xmlHttp.responseText);
						return xmlHttp.responseText;
					}
					//callback.call(this, [xmlHttp.responseText, arguments]);
					//return xmlHttp.responseText;
				}
			}
		}
		xmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlHttp.send(parameters);		
	}
	
	this.request_asynchronous_xml = function(url, parameters, fun, args) {
		xmlHttp.open("POST", url, true);
		xmlHttp.onreadystatechange = function() {
			if (xmlHttp.readyState == 4) {
				if (xmlHttp.status != 200) {
					alert ('Ha habido un error en la conexin');
				}
				else {
					if (fun) {
						//alert(xmlHttp.responseText);
						fun(args, xmlHttp.responseXML.documentElement);
					}
					else {
						return xmlHttp.responseXML.documentElement
					}
					//callback.call(xmlHttp.responseXML.documentElement);
					//return ajax.responseXML.documentElement;
				}
			}
		}
		xmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlHttp.send(parameters);
	}
	
	
	this.request_synchronous_text = function(url, parameters) {
		alert("get_synchronous_text");
		xmlHttp.open("POST", url, false);
		xmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlHttp.send(parameters);
		if(xmlHttp.status == 200) {
			return xmlHttp.responseText;	
		}
		else {
			alert('Your browser cannot handle this script');
			return false;
		}
	}
	
	this.request_synchronous_xml = function(url, parameters) {
		//alert("get_synchronous_xml");
		//alert(url);
		xmlHttp.open("POST", url, false);
		xmlHttp.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
		xmlHttp.send(parameters);
		if(xmlHttp.status == 200) {
			//alert(xmlHttp.responseText);
			return xmlHttp.responseXML.documentElement;	
		}
		else {
			alert('Your browser cannot handle this script');
			return false;
		}
	}
	this.create_ajax_object();
}

