<?php
/*
webDevStudio
Copyright (C) 2006-2007 Israel Ortiz Flores (iortiz@gmail.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

	require("../authentication.php");
	require("../compile_config.php");
	
	//Configuramos el path y el fichero de resultados
	$path=$_REQUEST['path'];
	$file=$_REQUEST['file'];
	$code=stripslashes($_REQUEST['content']);

	$languaje=$_SESSION['s_languaje'];
	$platform=$_SESSION['s_platform'];
	$application=$_SESSION['s_application'];
	
	//Configuramos la ruta de los ficheros a manejar	
	$compile_file = realpath($file);
	$result_file = realpath($path).'/result.tmp';
	
	//Comprobamos si el fichero a compilar es el adecuado
	$long_extension=strlen($extensions[$languaje][0]);
	$extension_file=strtolower(substr($file, strlen($file)-$long_extension, $long_extension));
	if ($extension_file!=$extensions[$languaje][0]){
		$mensaje = "This file cannot be compiled. You can compile ". $languaje." files only.";

		//Escribimos que el fichero no es correcto 
		$fd=fopen($result_file,"a+");
		fwrite($fd, $mensaje);
		fclose($fd);
	}
	//Podemos compilar el fichero
	else {
		//Guardamos el codigo en el fichero
		$fd=fopen($compile_file,"w");
		fwrite($fd,$code);
		fclose($fd);

		//Mostramo al usuario un mensaje de guardado en el fichero de resultados
		$fd=fopen($result_file,"w");
		fwrite($fd,"Save file successfully.\n");
		fclose($fd);

		//Seleccionamos el compilador adecuado
		$path_compiler=$compiler_path[$platform][$languaje][$application];

		//Saltamos al fichero de compilacion correspondiente
		include("../compile/".$compile_module[$platform][$languaje][$application]);
	}	

	//Leemos los resultados generados	
	readfile($result_file);
	
	//Borramos el fichero de resultados
	unlink($result_file);
	
?>