<?php

	$path = $_REQUEST['path'];
	//echo $path;

	//public function generate_xmlfiletree($path) {
		header("Content-Type: text/xml");
		header("Cache-Control: no-cache, must-revalidate");
		header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");
		
		$xml = "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?>";
		$xml .= "<filetree>";
		$xml .= generate_xmlfiletree_aux($path);
		$xml .= "</filetree>";
		echo $xml;
	//}
  
  
  function generate_xmlfiletree_aux($dir) {
		$xmltree = "";
	
		$dir_array = scandir($dir);
		$dir_array = sort_tree($dir, $dir_array);
		//print_r($dir_array);
		
		for ($i=0; $i<count($dir_array); $i++) {
			$file = $dir_array[$i];
			//No mostramos el directorio . y .. ni los ficheros ocultos
			if (($file!=".") && ($file!="..") && (substr($file,0,1) != '.') && ($file!="backups")) {
				$fullpath = $dir."/".$file;
				clearstatcache();
				if(is_dir($fullpath)) {
						//echo "is dir";
						//$xmltree .= '<folder type="'.filetype($fullpath).'" name="'.rawurlencode($file).'" path="'.rawurlencode($fullpath).'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'">';
						//$xmltree .= '<folder type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'">';
						$xmltree .= '<folder type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.get_image_extension($fullpath).'">';
						$xmltree .= generate_xmlfiletree_aux($fullpath);
						$xmltree .= '</folder>';
				}
				else {
					if (mime_content_type($fullpath) == "text/plain") {
					//echo "is file";
					//$xmltree .= '<file type="'.filetype($fullpath).'" name="'.rawurlencode($file).'" path="'.rawurlencode($fullpath).'" size="'.filesize($fullpath).'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'" extension="'.$this->get_file_extension($fullpath).'" />';
					//$xmltree .= '<file type="'.filetype($fullpath).'" name="'.$file.'" path="'.$fullpath.'" size="'.filesize($fullpath).'" image="'.$this->get_image_extension($dir).'" description="'.$this->get_file_description($dir).'" extension="'.$this->get_file_extension($fullpath).'" />';
						$xmltree .= '<file type="'.filetype($fullpath).'" mime="'.mime_content_type($fullpath).'" name="'.$file.'" path="'.$fullpath.'" image="'.get_image_extension($fullpath).'" />';
					}
				}
			}
		}
	
		return $xmltree;  
	}
  
  
	//FUNCIONES AUXILIARES/////////////////////////////////////////////////
	
  /*Ordena el contenido del directorio pasado como path
	  colocando primero las carpetas y luego los ficheros
	*/
	function sort_tree($dir, $array_tree) {

		$array_folders = array();
		$array_files = array();
		
		for ($i=0; $i<count($array_tree); $i++) {
			$file = $array_tree[$i];
			$path = $dir."/".$file;
			if (is_dir($path)) {
				array_push($array_folders, $file);
			}
			else {
				array_push($array_files, $file);
			}
		}
		
		return array_merge($array_folders, $array_files);
	}
	
	
	function get_image_extension($path) {
		include('../extension_config.php');
		
		$ext = get_file_extension($path);
		//echo "ext: ".$ext;
		return $extension[$ext];
	}
	
	
	function get_file_extension($path) {
		//echo $path;
		if (is_dir($path)) {
			return "folder";
		}
		/*
		else if (is_executable($path)) {
			return "exe";
		}
		*/
		else {
			//echo "strext: ".substr($path, strripos($path, "."));
			return substr($path, strripos($path, "."));
		}
		
	}
	
	
?>